\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 3D Periodic Triangulations

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
Periodic_3TriangulationDSCellBase_3 Concept Reference
Concepts

## Definition

A refinement of the concept `TriangulationDSCellBase_3` which adds an API for offsets.

At the base level (see Sections Software Design and Software Design), a cell stores handles to its four vertices and to its four neighbor cells. The vertices and neighbors are indexed 0, 1, 2 and 3. Neighbor `i` lies opposite to vertex `i`.

For periodic triangulation the cell base class needs to additionally store an offset for each vertex. Only the last three bits of each integer are required to be stored. The remaining part does not contain any information.

Refines:
  `TriangulationDSCellBase_3`

Has Models:
  CGAL::Periodic_3_triangulation_ds_cell_base_3

See Also
  `TriangulationDataStructure_3`
  `TriangulationDSCellBase_3`
  `Periodic_3TriangulationDSVertexBase_3`

## Access Functions
int | offset (int i) const
| Returns the offset of vertex `i`. More...

## Setting
void | set_offsets (int off0, int off1, int off2, int off3)
| Sets the vertex offsets according to `off0` to `off3`.

## Member Function Documentation

int Periodic_3TriangulationDSCellBase_3::offset | ( | int | i) |  | const

Returns the offset of vertex `i`.

Precondition
  \( i \in\{0, 1, 2, 3\}\).